package cn.com.infosec.asn1.cms;

import cn.com.infosec.asn1.ASN1SequenceParser;
import cn.com.infosec.asn1.ASN1TaggedObjectParser;
import cn.com.infosec.asn1.DEREncodable;
import cn.com.infosec.asn1.DERObjectIdentifier;

public class ContentInfoParser {
   private DERObjectIdentifier contentType;
   private ASN1TaggedObjectParser content;

   public ContentInfoParser(ASN1SequenceParser seq) {
      this.contentType = (DERObjectIdentifier)seq.readObject();
      this.content = (ASN1TaggedObjectParser)seq.readObject();
   }

   public DERObjectIdentifier getContentType() {
      return this.contentType;
   }

   public DEREncodable getContent(int tag) {
      ASN1TaggedObjectParser var2;
      return (var2 = this.content) != null ? var2.getObjectParser(tag, true) : null;
   }
}
